# Manage Webhook

Source: https://www.ranked.ai/developers/api-reference/webhooks/manage

`GET https://app.ranked.ai/api/v1/webhooks/{webhookId}`

> Get, update, or delete a webhook subscription

### GET - Get subscription details

- `webhookId` (path, string, required): Webhook subscription UUID

**Request**

```bash cURL
curl "https://app.ranked.ai/api/v1/webhooks/{webhookId}" \
  -H "Authorization: Bearer rk_live_your_api_key"
```

### PATCH - Update subscription

Requires a **Read + Write** API key.

- `name` (body, string): Updated display name
- `url` (body, string): Updated webhook URL (must be HTTPS)
- `events` (body, string[]): Updated event list
- `is_active` (body, boolean): Enable or disable the subscription

**Request**

```bash cURL
curl -X PATCH "https://app.ranked.ai/api/v1/webhooks/{webhookId}" \
  -H "Authorization: Bearer rk_live_your_write_key" \
  -H "Content-Type: application/json" \
  -d '{ "is_active": false }'
```

### DELETE - Delete subscription

Requires a **Read + Write** API key.

**Request**

```bash cURL
curl -X DELETE "https://app.ranked.ai/api/v1/webhooks/{webhookId}" \
  -H "Authorization: Bearer rk_live_your_write_key"
```
